/*
 *  @author Ranides Atterwim <ranides@gmail.com>
 *  @copyright Ranides Atterwim
 *  @license WTFPL
 *  @url http://ranides.net/projects/assira
 */

package net.ranides.assira.io;

import java.io.OutputStream;

/**
 *
 * @author ranides
 */
public final class NullOutputStream extends OutputStream {
    
    public static final OutputStream INSTANCE = new NullOutputStream();

    private NullOutputStream() {
    }
    
    @Override
    public void write(int data){
        // do nothing
    }

    @Override
    public void close() {
        // do nothing
    }

    @Override
    public void flush() {
        // do nothing
    }

    @Override
    public void write(byte[] data, int offset, int length) {
        // do nothing
    }

    @Override
    public void write(byte[] data) {
        // do nothing
    }
    
}
